Skip to main content

Get Points

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTqdrant.qdrant-get-points

Retrieve points by id.

Request Body

{
"jsonrpc": "2.0",
"id": "qdrant-qdrant-get-points-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-get-points",
"arguments": {
"point_ids": [],
"collection_name": "collection_name_example",
"include_payload": false,
"include_vectors": false
}
}
}

Arguments Schema

{
"properties": {
"point_ids": {
"items": {
"type": "string"
},
"type": "array"
},
"collection_name": {
"type": "string"
},
"include_payload": {
"type": "boolean"
},
"include_vectors": {
"type": "boolean"
}
},
"required": [
"point_ids",
"collection_name"
],
"type": "object"
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "qdrant-qdrant-get-points-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-get-points",
"arguments": {
"point_ids": [],
"collection_name": "collection_name_example",
"include_payload": false,
"include_vectors": false
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool qdrant.qdrant-get-points executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}